List repository permissions
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}/permissionsList the teams a VCR repository is shared with.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vcr.listRepositoryPermissions({ projectId: "<id>", idOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "nextCursor": "string", "permissions": [ { "createdAt": "2026-06-30T10:00:00.000Z", "repositoryId": "repo_a1b2c3d4e5f6", "teamId": "team_a1b2c3d4e5f6", "teamSlug": "my-team" } ]}AuthorizationbearerToken
Default authentication mechanism
Project ID or name (slug) within the authenticated team. IDs take precedence over names. Missing or empty values return HTTP 400.
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error